Namespace: webdriver.stacktrace
View Source

# class Frame

Class representing one stack frame.

## new Frame(context, name, alias, path)

Parameters

context`(string|undefined)`

  Context object, empty in case of global functions or if the browser doesn't provide this information.

name`(string|undefined)`

  Function name, empty in case of anonymous functions.

alias`(string|undefined)`

  Alias of the function if available. For example the function name will be 'c' and the alias will be 'b' if the function is defined as `a.b = function c() {};`.

path`(string|undefined)`

  File path or URL including line number and optionally column number separated by colons.

## Instance Methods

### getColumn()code »

Returns

`number`

  The column number if known and -1 if it is unknown.

### getLine()code »

Returns

`number`

  The line number if known or -1 if it is unknown.

### getName()code »

Returns

`string`

  The function name or empty string if the function is anonymous and the object field which it's assigned to is unknown.

### getUrl()code »

Returns

`string`

  The url or empty string if it is unknown.

### isAnonymous()code »

Returns

`boolean`

  Whether the stack frame contains an anonymous function.

### toString()code »

Converts this frame to its string representation using V8's stack trace format: http://code.google.com/p/v8/wiki/JavaScriptStackTraceApi

Returns

`string`

  The string representation of this frame.

## Instance Properties

column `number`
  No description.